# make taxonomy database
clmaketaxdb --includetaxid=1 taxonomy overall_temp.taxdb || exit $?
# extract species-level identified sequences
clretrievegi --includetaxa=genus,.+ --maxrank=species --ngword=' sp\.' --taxdb=overall_temp.taxdb overall_species.txt || exit $?
clretrievegi --includetaxa=genus,.+ --taxdb=overall_temp.taxdb overall_genus.txt || exit $?
clretrievegi --includetaxa=family,.+ --taxdb=overall_temp.taxdb overall_family.txt || exit $?
clretrievegi --includetaxa=order,.+ --taxdb=overall_temp.taxdb overall_order.txt || exit $?
clretrievegi --includetaxa=class,.+ --taxdb=overall_temp.taxdb overall_class.txt || exit $?
# del duplicate
clelimdupgi --workspace=disk overall_species.txt overall_genus.txt overall_undergenus.txt || exit $?
clelimdupgi --workspace=disk overall_undergenus.txt overall_family.txt overall_underfamily.txt || exit $?
clelimdupgi --workspace=disk overall_underfamily.txt overall_order.txt overall_underorder.txt || exit $?
clelimdupgi --workspace=disk overall_underorder.txt overall_class.txt overall_underclass.txt || exit $?
# make BLAST database
cd blastdb || exit $?
# NT-independent
/usr/local/share/claident/bin/blastdbcmd -db ./nt -target_only -entry_batch ../overall_underclass.txt -out - | /usr/local/share/claident/bin/makeblastdb -in - -dbtype nucl -parse_seqids -hash_index -out overall_class -title overall_class || exit $?
/usr/local/share/claident/bin/blastdb_aliastool -dbtype nucl -db overall_class -gilist ../overall_underorder.txt -out overall_order -title overall_order || exit $?
/usr/local/share/claident/bin/blastdb_aliastool -dbtype nucl -db overall_class -gilist ../overall_underfamily.txt -out overall_family -title overall_family || exit $?
/usr/local/share/claident/bin/blastdb_aliastool -dbtype nucl -db overall_class -gilist ../overall_undergenus.txt -out overall_genus -title overall_genus || exit $?
/usr/local/share/claident/bin/blastdb_aliastool -dbtype nucl -db overall_class -gilist ../overall_species.txt -out overall_species -title overall_species || exit $?
# NT-dependent
#/usr/local/share/claident/bin/blastdb_aliastool -dbtype nucl -db ./nt -gilist ../overall_underclass.txt -out overall_class -title overall_class || exit $?
#/usr/local/share/claident/bin/blastdb_aliastool -dbtype nucl -db ./nt -gilist ../overall_underorder.txt -out overall_order -title overall_order || exit $?
#/usr/local/share/claident/bin/blastdb_aliastool -dbtype nucl -db ./nt -gilist ../overall_underfamily.txt -out overall_family -title overall_family || exit $?
#/usr/local/share/claident/bin/blastdb_aliastool -dbtype nucl -db ./nt -gilist ../overall_undergenus.txt -out overall_genus -title overall_genus || exit $?
#/usr/local/share/claident/bin/blastdb_aliastool -dbtype nucl -db ./nt -gilist ../overall_species.txt -out overall_species -title overall_species || exit $?
/usr/local/share/claident/bin/blastdbcmd -db ./overall_class -target_only -entry all -out ../overall_underclass.txt -outfmt %g || exit $?
cd .. || exit $?
# minimize taxdb
clmaketaxdb --workspace=disk --gilist=overall_underclass.txt taxonomy overall_class.taxdb || exit $?
ln -s overall_class.taxdb overall_order.taxdb || exit $?
ln -s overall_class.taxdb overall_family.taxdb || exit $?
ln -s overall_class.taxdb overall_genus.taxdb || exit $?
ln -s overall_class.taxdb overall_species.taxdb || exit $?
rm overall_temp.taxdb || exit $?
